\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{pssematsemest}

\LoadClass[12pt, a4paper, twoside]{article}
\setlength{\textwidth}{18cm}
\setlength{\textheight}{23.0cm}
\setlength{\topmargin}{0cm}
\setlength{\oddsidemargin}{-1cm}
\setlength{\evensidemargin}{-1cm}

\renewenvironment{abstract}
{\begin{list}{}{%
  \setlength{\rightmargin}{0.5cm}
  \setlength{\leftmargin}{0.5cm}
  \small} 
  \item[] }
{\end{list}}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\newcommand{\ps@headreport}
{ \renewcommand{\@oddhead}
  {\begin{minipage}{\textwidth}
  \includegraphics[width=.1\textwidth]{logo_ufu.eps} \vspace{-2.5cm}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
     {\normalsize {\bf \begin{center} \Large{XXII Semana da Matemática e \\XII Semana da Estatística}\\
\normalsize{Universidade Federal de Uberlândia} \end{center}
     }}
    \vspace{-1em}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
     \rule{\textwidth}{0.6pt} 
   \end{minipage}
  }
  \renewcommand{\@oddfoot}{}
  \renewcommand{\@evenhead}{\@oddhead}
  \renewcommand{\@evenfoot}{\@oddfoot}
}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%================================================================
% AUTORIA
%================================================================
\newenvironment{autoria}[1]
{
\ifthenelse{#1=1}
{\begin{multicols}{1}}{}
\ifthenelse{#1=2}
{\begin{multicols}{2}}{}
\ifthenelse{#1=3}
{\begin{multicols}{3}}{}
\ifthenelse{#1=4}
{\begin{multicols}{2}}{}
\ifthenelse{#1>4}
{\begin{multicols}{3}}{}
}
{
\end{multicols}
}
\newcommand{\apresentador}[4]
{
\renewcommand{\arraystretch}{0.75}
\begin{center}
\begin{tabular}{c}
{\fontfamily{lmss}\selectfont{\underline{#1}}}\\
{\fontfamily{lmss}\selectfont{\footnotesize{#2}}}\\
{\fontfamily{lmss}\selectfont{\footnotesize{#3}}}\\
{\fontfamily{ccr}\selectfont\footnotesize{\url{#4}}}
\end{tabular}
\end{center}
}
\newcommand{\orientando}[4]
{
\renewcommand{\arraystretch}{0.75}
\begin{center}
\begin{tabular}{c}
{\fontfamily{lmss}\selectfont{#1}}\\
{\fontfamily{lmss}\selectfont{\footnotesize{#2}}}\\
{\fontfamily{lmss}\selectfont{\footnotesize{#3}}}\\
{\fontfamily{ccr}\selectfont\footnotesize{\url{#4}}}
\end{tabular}
\end{center}
}
\newcommand{\orientador}[4]
{
\renewcommand{\arraystretch}{0.75}
\begin{center}
\begin{tabular}{c}
{\fontfamily{lmss}\selectfont{#1}}\\
{\fontfamily{lmss}\selectfont{\footnotesize{#2}}}\\
{\fontfamily{lmss}\selectfont{\footnotesize{#3}}}\\
{\fontfamily{ccr}\selectfont\footnotesize{\url{#4}}}
\end{tabular}
\end{center}
}
\thispagestyle{headreport}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\newcommand{\runningheads}{\markboth}
\pagestyle{empty}

\normalsize

\endinput